# PaymentMethod

Payment methods are used to process payments for subscriptions and orders.

## Properties

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `object` | string | Yes | Type of object is always `paymentMethod`. |
| `id` | string | Yes | Unique identifier for the payment method. |
| `brand` | amex | diners | discover | jcb | mastercard | unionpay | visa | unknown | Yes | Card brand. Only available for type `card`. |
| `createdAt` | string | Yes | Time when the payment method was created. |
| `last4` | string,null | Yes | The last four digits of the card. Only available for type `card`. |
| `provider` | string | Yes | The provider of the payment method. Currently only `stripe` is supported. |
| `status` | available | requiresConfirmation | deleted | replaced | Yes | The status of the payment method. It can have one of the following values:          - `available`: The payment method is available for processing payments.         - `requiresConfirmation`: The payment method requires user confirmation before being able to process payments.         - `deleted`: The payment method has been deleted. This value appears in `paymentMethod.deleted` events and in the response to `DELETE /paymentMethods/{id}`; deleted payment methods cannot be fetched via GET.         - `replaced`: The payment method has been replaced by another payment method with the same card details. This value appears in payment method events; replaced payment methods cannot be fetched via GET.        |
| `type` | card | applePay | googlePay | Yes | Type of the payment method. |
| `user` | string | Yes | Unique identifier for the user of the payment method. |
